#!/usr/bin/env python3

# ChatGPT prompt:
# Assume that there is a TOML file at ~/.config/twtxt/config with an entry "[twtxt]"
# with keys "nick" and "twturl". Without using a toml parsing library, have it print
# the values "{twturl} {nick}". After that there is a "[following]" entry. Write a
# script that gets the entries under "[following]" and writes them in the format
# "{value} {key}".

import os

# Read the TOML file
config_path = os.path.expanduser("~/.config/twtxt/config")
with open(config_path) as f:
    config = f.readlines()

# Parse the TOML file
twtxt_section = False
following_section = False
following_entries = {}
for line in config:
    line = line.strip()
    if line == "[twtxt]":
        twtxt_section = True
    elif line == "[following]":
        twtxt_section = False
        following_section = True
    elif twtxt_section:
        if line.startswith("nick"):
            nick = line.split("=")[1].strip()
        elif line.startswith("twturl"):
            twturl = line.split("=")[1].strip()
    elif following_section:
        if line:
            key, value = line.split("=")
            following_entries[key.strip()] = value.strip()

# Print the values for nick and twturl
print(f"{twturl} {nick}")

# Print the following entries
for key, value in following_entries.items():
    print(f"{value} {key}")

